<?php
session_name('SESID');
session_start();
$dir = 'fonts/';
$image = imagecreatetruecolor(135, 30);
$col[1] = imagecolorallocate($image, 0, 0, 0); //black
$col[2] = imagecolorallocate($image, 199, 232, 213);
$col[3] = imagecolorallocate($image, 235, 155, 225); //white
$col[4] = imagecolorallocate($image, 157, 231, 61); 
$col[5] = imagecolorallocate($image, 244, 200, 149); 
imagefilledrectangle($image,0,0,150,80,$col[rand(2, 5)]);
// Генерируем помехи в виде линий
$g1 = $col[rand(4, 5)];// Задаем цвет линий
for ($i = 0; $i <= 135; $i += 6)
    imageline($image, $i, 0, $i, 25, $g1);// Горизонтальные линии
for ($i = 0; $i <= 30; $i += 5)
    imageline($image, 0, $i, 135, $i, $g1);// Вертикальные линии
$rand=rand(1, 12);
imagettftext ($image, 20, 0, 10, 25, $col[1], $dir."".$rand.".TTF", $_SESSION['code']);
header("Content-type: image/png");
imagepng($image);



?>